# List converge action

API to get and filter converge action

Endpoint: GET /v2/converge
Version: 1.0.0
Security: apiKey

## Query parameters:

  - `device_ids` (string)
    Filter by device IDs. Accepts comma separated values.

  - `limit` (number)

  - `offset` (number)

## Response 200 fields (application/json):

  - `content` (object)

  - `content.count` (integer)

  - `content.previous` (string)

  - `content.next` (string)

  - `content.results` (array)

  - `content.results.id` (string)
    Unique converge identifier

  - `content.results.device_id` (string)
    ID of the device

  - `content.results.converge_with_provision_option` (boolean)

  - `content.results.blueprint_info` (object)

  - `content.results.blueprint_info.blueprint_id` (string)
    Unique blueprint ID

  - `content.results.blueprint_info.blueprint_version_id` (string)
    Version ID of blueprint

  - `content.results.schedule_type` (string)
    Following Schedule types are supported
 * IMMEDIATE: Schedule the command to execcute Immediately
* WINDOW: Schedule the command to execute within the given window
    Enum: "IMMEDIATE", "WINDOW"

  - `content.results.schedule_args` (object)

  - `content.results.status` (string)
    Current aggregrated status of the converge action
    Enum: "QUEUED", "PROCESSING", "IN_PROGRESS", "SUCCESS", "FAILURE"

  - `content.results.reason` (string)
    details briefing the reason for current converge status

  - `content.results.created_by` (string)
    user id of the user

  - `content.results.created_at` (string)
    Creation timestamp of converge

  - `content.results.updated_at` (string)
    Updation timestamp of converge

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


